Package com.independentsoft.office.drawing.extensions

# Class PlaceholderFlag

java.lang.Object
com.independentsoft.office.drawing.extensions.PlaceholderFlag

All Implemented Interfaces:
  `IExtensionContent`

public class PlaceholderFlag extends Object implements IExtensionContent
Represents the Mac Office placeholder flag extension (`ma14:placeholderFlag`) (uri `{FAA26D3D-D897-4be2-8F04-BA451C77F1D7}`).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `NAMESPACE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlaceholderFlag()`
  Instantiates a new placeholder flag.
  `PlaceholderFlag​(InternalXMLStreamReader reader)`
  Instantiates a new placeholder flag.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IExtensionContent`
  `clone()`
  Clone.
  `String`
  `getValue()`
  Gets the value (`val`).
  `void`
  `setValue​(String value)`
  Sets the value (`val`).
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NAMESPACE

    public static final String NAMESPACE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### PlaceholderFlag

    public PlaceholderFlag()
    Instantiates a new placeholder flag.

  - ### PlaceholderFlag

    public PlaceholderFlag​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new placeholder flag.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the XML stream exception

- ## Method Details

  - ### clone

    public IExtensionContent clone()
    Description copied from interface: `IExtensionContent`
    Clone.
    Specified by:
      `clone` in interface `IExtensionContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      the extension content

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getValue

    public String getValue()
    Gets the value (`val`). May be null - the attribute is sometimes absent in the wild.
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets the value (`val`). May be null - the attribute is sometimes absent in the wild.
    Parameters:
      `value` - the new value